# ThumbedInputMedia - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InputMedia / ThumbedInputMedia

# ThumbedInputMedia

(common) `interface ThumbedInputMedia : InputMedia` (source)

### Properties

(common)

#### thumb

`abstract val thumb: InputFile?`

(common)

#### thumbMedia

`open val thumbMedia: String?`

### Inheritors

(common)

#### InputMediaAnimation

`data class InputMediaAnimation : InputMedia, SizedInputMedia, DuratedInputMedia, ThumbedInputMedia, CaptionedOutput`

(common)

#### InputMediaAudio

`data class InputMediaAudio : InputMedia, DuratedInputMedia, ThumbedInputMedia, TitledInputMedia, CaptionedOutput, Performerable`

(common)

#### InputMediaDocument

`data class InputMediaDocument : InputMedia, ThumbedInputMedia, CaptionedOutput`

(common)

#### InputMediaVideo

`data class InputMediaVideo : InputMedia, SizedInputMedia, DuratedInputMedia, ThumbedInputMedia, MediaGroupMemberInputMedia`